man.th.title.max.length
Prev | Page header/footer | Next

## Name

man.th.title.max.length — Maximum length of title in header/footer

## Synopsis

    <xsl:param name="man.th.title.max.length">20</xsl:param>

## Description

Specifies the maximum permitted length of the title part of the man-page `.TH` title line header/footer. If the title exceeds the maxiumum specified, it is truncated down to the maximum permitted length.

### Details

Every man page generated using the DocBook stylesheets has a title line, specified using the `TH` roff macro. Within that title line, there is always, at a minimum, a title, followed by a section value (representing a man "section" -- usually just a number).

The title and section are displayed, together, in the visible header of each page. Where in the header they are displayed depends on OS the man page is viewed on, and on what version of nroff/groff/man is used for viewing the page. But, at a minimum and across all systems, the title and section are displayed on the right-hand column of the header. On many systems -- those with a modern groff, including Linux systems -- they are displayed twice: both in the left and right columns of the header.

So if the length of the title exceeds a certain percentage of the column width in which the page is viewed, the left and right titles can end up overlapping, making them unreadable, or breaking to another line, which doesn't look particularly good.

So the stylesheets provide the `man.th.title.max.length` parameter as a means for truncating titles that exceed the maximum length that can be viewing properly in a page header.

The default value is reasonable but somewhat arbitrary. If you have pages with long titles, you may want to experiment with changing the value in order to achieve the correct aesthetic results.

Prev | Up | Next
man.th.extra3.suppress | Home | man.th.extra2.max.length